.custom-select {
	position: relative;
	display: block;
	vertical-align: middle;
	font-size: 13px;
	zoom: 1;
	*display: inline;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
.custom-select > select {
	display: none !important;
}
.custom-select > a.dropdown-toggle {
	border-radius: 0;
    line-height: 36px;
    box-shadow: none;
    background: #ffffff;
    position: relative;
    display: block;
    overflow: hidden;
    padding: 0 0 0 8px;
    border: 1px solid #e0e0e0;
    text-decoration: none;
    white-space: nowrap;
    cursor: pointer;
    color: #888;
    width: 100%;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    height: 36px;
    border-radius: 4px;
}
.custom-select > a.dropdown-toggle.disabled,
.custom-select > a.dropdown-toggle.disabled:hover {
	cursor: not-allowed;
	color: #aaa;
	background: #eee;
}
.custom-select > a.dropdown-toggle:hover, 
.custom-select.open > a.dropdown-toggle {
	color: #333;
}
.custom-select.open > a.dropdown-toggle {
	border-bottom: 0;
	line-height: 29px;
}
.control-group.error .custom-select > a.dropdown-toggle {
	border-color: #f09784;
	color: #d68273;
}
.custom-select > a.dropdown-toggle > span {
	display: block;
	overflow: hidden;
	margin-right: 26px;
	text-overflow: ellipsis;
	white-space: nowrap;
}
.custom-select > a.dropdown-toggle > b {
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	width: 18px;
	height: 100%;
}
.custom-select > a.dropdown-toggle > b:before {
	content: "\f0d7";
	display: inline-block;
	font-family: FontAwesome;
	font-size: 12px;
	position: relative;
	top: -1px;
	left: 1px;
}
.custom-select.open > a.dropdown-toggle > b:before {
	content: "\f0d8";
}
.custom-select > .dropdown-menu {
	margin-top: 0;
    border-color: #aaa;
    border-top: 0;
    padding-bottom: 0;
    width: auto;
    min-width: 100%;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 0px 0px 4px 4px;
    border:1px solid #e0e0e0;
    box-shadow:none;
    margin-top: -2px;
}
.custom-select > .dropdown-menu > .custom-select-search {
	position: relative;
	z-index: 1010;
	margin: 0;
	padding: 0 4px;
	white-space: nowrap;
}
.custom-select > .dropdown-menu > .custom-select-search > input {
	    width: 100%;
    height: 30px;
    margin: 0;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 4px 20px 4px 5px;
    border-radius: 0;
    border-radius: 4px;
    border: 1px solid #e0e0e0;
}
.custom-select > .dropdown-menu > .custom-select-search:after {
	content: "\f002";
	display: inline-block;
	color: #888;
	font-family: FontAwesome;
	font-size: 14px;
	position: absolute;
	top: 4px;
	right: 10px;
}
.custom-select > .dropdown-menu > ul {
	border-color: #aaa;
	border-top: 0;
	margin: 4px 0;
	padding: 0;
	list-style: none;
	background-color: #fff;
	overflow-x: hidden;
	overflow-y: auto;
	max-height: 240px;
    padding-right: 0px;
    text-align: right;
}
.custom-select > .dropdown-menu > ul > li > a {
	font-size: 13px;
	margin-bottom: 1px;
	margin-top: 1px;
	display: block;
	    padding: 6px 8px;
	clear: both;
	font-weight: normal;
	line-height: 20px;
	color: #333;
	cursor: pointer;
	width: 100%;
}
.custom-select > .dropdown-menu > ul > li > a:hover, 
.custom-select > .dropdown-menu > ul > li > a:focus {
	color: #fff;
	text-decoration: none;
	background-repeat: repeat-x;
}
.custom-select > .dropdown-menu > ul > li > a:hover {
	background: #4f99c6;
}
.custom-select > .dropdown-menu > ul > li > a:focus {
	background: #2283c5;
}
.custom-select > .dropdown-menu > ul > li.empty-result > em {
	text-align: center;
	padding: 4px 8px;
	display: block;
}
.custom-select > .dropdown-menu > .custom-select-action > button {
	border-radius: 0;
	background-image: none;
}
.custom-select > .dropdown-menu:before {
	border: 0;
}